
/******************************************************************************
* MODULE     : glue.hh
* DESCRIPTION: glue for external libraries
* COPYRIGHT  : (C) 2003  Bernard Mourrain
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <stdio.h>
#include <iostream>
#include <fstream>
#include <string.h>

#include <single.hh>
#include <list.hh>
#include <literal.hh>
#include <file.hh>
#include <error.hh>
#include <parser.hh>
#include <pretty_printer.hh>
#include <symbols.hh>
#include <parser.hh>

namespace mmx {

void init ();
void parse_string (string s);
generic generate (std::fstream & fout, generic g);
generic link (std::fstream & fout, generic g, string arg= string("tst"));

} // namespace mmx
